org.flexdock.perspective.persist.xml

## Class LayoutNodeSerializer

- java.lang.Object
- - org.flexdock.perspective.persist.xml.LayoutNodeSerializer

All Implemented Interfaces:
  ISerializer

    public class LayoutNodeSerializer
    extends java.lang.Object
    implements ISerializer

Created on 2005-06-27

Version:
  $Id: LayoutNodeSerializer.java,v 1.9 2005-07-06 18:10:47 winnetou25 Exp $
Author:
  Mateusz Szczap

### Constructor Summary

Constructors
Constructor and Description
`LayoutNodeSerializer()`

### Method Summary

Methods
`java.lang.Object` `deserialize(org.w3c.dom.Element element)`
`org.w3c.dom.Element` `serialize(org.w3c.dom.Document document, java.lang.Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutNodeSerializer

    public LayoutNodeSerializer()

### Method Detail

#### serialize

    public org.w3c.dom.Element serialize(org.w3c.dom.Document document,
                                java.lang.Object object)

Specified by:
  `serialize` in interface `ISerializer`

#### deserialize

    public java.lang.Object deserialize(org.w3c.dom.Element element)

Specified by:
  `deserialize` in interface `ISerializer`